Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.math.cover
Class LinkedMatrix

    java.lang.Object
      net.sf.j3d.math.cover.LinkedMatrix

    public class LinkedMatrix

extends Object

Nested Class Summary
`static class` | `LinkedMatrix.Node`
`static interface` | `LinkedMatrix.SolutionOutput`

Field Summary
`static double` | `logLevel`
`static boolean` | `showSol`
`static boolean` | `verbose`

Constructor Summary
`LinkedMatrix(boolean[][] m)`

Method Summary
`void` | `cover(LinkedMatrix.Node n)`
`static void` | `main(String[] args)`
`LinkedMatrix.Node` | `nextColumn()`
`void` | `search()`
`void` | `search(int k, List o)`
`void` | `setSolutionOutput(LinkedMatrix.SolutionOutput output)`
`String` | `toString()`
`static boolean[][]` | `transpose(boolean[][] m)`
`void` | `uncover(LinkedMatrix.Node n)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### verbose

    public static boolean verbose

### showSol

    public static boolean showSol

### logLevel

    public static double logLevel

Constructor Detail

### LinkedMatrix

    public LinkedMatrix(boolean[][] m)

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### transpose

    public static boolean[][] transpose(boolean[][] m)

### search

    public void search()

### search

    public void search(int k,
                       List o)

### nextColumn

    public LinkedMatrix.Node nextColumn()

### cover

    public void cover(LinkedMatrix.Node n)

### uncover

    public void uncover(LinkedMatrix.Node n)

### setSolutionOutput

    public void setSolutionOutput(LinkedMatrix.SolutionOutput output)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD